%global project		Oggify	

Summary:	Audio conversion tool for music library conversion
Name:		oggify
Version:	2.0.7
Release:	3%{?dist}
Source0:	http://gbcox.fedorapeople.org/%{name}/%{project}-%{version}.tar.gz
License:	GPLv2+
BuildArch:	noarch
Url:		http://scottr.org/oggify/
BuildRequires:	python2-devel, python-mutagen
Requires:	flac, vorbis-tools

# The source of this package was pulled from upstreams's vcs.
# Use the following command to generate the tar ball:
# git clone --branch v2.0.7 http://github.com/spr/Oggify.git
# cd Oggify
# git submodule init
# git submodule update
# cd ..
# tar cvzf Oggify-2.0.7.tar.gz Oggify/

%description
Oggify provides the tools needed to convert an
audio library from one format to another. Originally designed to handle
the author's need of FLAC to Ogg Vorbis. It ships with support for FLAC
as the source format, and Ogg Vorbis and MP3 as output formats. Requires
FLAC, Vorbis-tools and LAME for full operation. Supports other formats
through a plugin system.

%prep
%setup -qn %{project}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%license COPYING
%defattr(-,root,root)
%dir %{python2_sitelib}/%{name}
%dir %{python2_sitelib}/tag_wrapper

%changelog
* Wed Dec 17 2014 Gerald Cox <gbcox@fedoraproject.org> 2.0.7-3
- Changed to github commit specification to resolve rhbz#1175023

* Thu Dec 11 2014 Gerald Cox <gbcox@fedoraproject.org> 2.0.7-2
- Changed SPEC to point back to SPR version

* Sat Dec 06 2014 Gerald Cox <gbcox@fedoraproject.org> 2.0.7-1
- Initial Build 2.0.7-1
